Page MenuHomePhabricator

Delete from the pending database when a transaction is failed or completed
Open, HighPublic1 Story Points

Description

This is tricky... When the donor returns from an Ingenico iframe and we fail them for e.g. bad CVV, we need to delete the message from our pending database to prevent orphan rectification and stuff.

But we don't have a way to do that, and it would be a shame to resurrect the "antimessage" antipattern.

Event Timeline

awight created this task.Aug 25 2016, 10:16 PM
Ejegg added a subscriber: Ejegg.Aug 25 2016, 10:23 PM

Maybe the payments-init queue consumer?

Nice reuse!

Change 306840 had a related patch set uploaded (by Ejegg):
Use DeletePendingJob in frontend

https://gerrit.wikimedia.org/r/306840

Change 306840 abandoned by Ejegg:
Use DeletePendingJob in frontend

Reason:
will handle this in init queue consumer

https://gerrit.wikimedia.org/r/306840

Change 308788 had a related patch set uploaded (by Awight):
[WIP] Don't store payments record if the transaction is finalized

https://gerrit.wikimedia.org/r/308788

Change 308898 had a related patch set uploaded (by Awight):
Delete from pending db once the transaction is completed

https://gerrit.wikimedia.org/r/308898

Change 308898 merged by jenkins-bot:
Delete from pending db once the transaction is completed

https://gerrit.wikimedia.org/r/308898

Change 308788 merged by jenkins-bot:
Don't store payments record if the transaction is finalized

https://gerrit.wikimedia.org/r/308788

awight renamed this task from Delete from the pending database when a transaction is failed to Delete from the pending database when a transaction is failed or completed.Sep 8 2016, 11:19 PM

Production pending database rows don't show any sign of being culled by these changes...

Change 310437 had a related patch set uploaded (by Awight):
Fix "complete" status label

https://gerrit.wikimedia.org/r/310437

Change 310439 had a related patch set uploaded (by Awight):
Fix status label

https://gerrit.wikimedia.org/r/310439

Change 310437 merged by jenkins-bot:
Fix "complete" status label

https://gerrit.wikimedia.org/r/310437

Change 310439 merged by Awight:
Fix status label

https://gerrit.wikimedia.org/r/310439

Change 310932 had a related patch set uploaded (by Awight):
Fix status label

https://gerrit.wikimedia.org/r/310932

Change 310932 merged by jenkins-bot:
Fix status label

https://gerrit.wikimedia.org/r/310932

Change 314302 had a related patch set uploaded (by Ejegg):
Check payments_init for 'failed' in pending QC

https://gerrit.wikimedia.org/r/314302

Change 314302 merged by jenkins-bot:
Check payments_init for 'failed' in pending QC

https://gerrit.wikimedia.org/r/314302

Change 312563 had a related patch set uploaded (by Ejegg):
Use ct_id to find completed, avoid race

https://gerrit.wikimedia.org/r/312563

Ejegg removed awight as the assignee of this task.Oct 21 2016, 7:54 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:34 PM